Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class DockableWindowManagerImpl.DockableWindowConfig

    java.lang.Object
      org.gjt.sp.jedit.gui.DockableWindowManager.DockingLayout
          org.gjt.sp.jedit.gui.DockableWindowManagerImpl.DockableWindowConfig

Enclosing class:
  DockableWindowManagerImpl

    public static class DockableWindowManagerImpl.DockableWindowConfig

extends DockableWindowManager.DockingLayout

Nested Class Summary
`class` | `DockableWindowManagerImpl.DockableWindowConfig.PerspectiveHandler`

Field Summary
`java.lang.String` | `bottom`
`int` | `bottomPos`
`java.lang.String` | `left`
`int` | `leftPos`
`java.lang.String` | `right`
`int` | `rightPos`
`java.lang.String` | `top`
`int` | `topPos`

Fields inherited from class org.gjt.sp.jedit.gui.DockableWindowManager.DockingLayout
`NO_VIEW_INDEX`

Constructor Summary
`DockableWindowManagerImpl.DockableWindowConfig()`

Method Summary
`java.lang.String` | `getName()`
`org.xml.sax.helpers.DefaultHandler` | `getPerspectiveHandler()`
`boolean` | `loadLayout(java.lang.String baseName, int viewIndex)`
`boolean` | `saveLayout(java.lang.String baseName, int viewIndex)`

Methods inherited from class org.gjt.sp.jedit.gui.DockableWindowManager.DockingLayout
`getLayoutFilename, getSavedLayouts, setPlainView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### top

    public java.lang.String top

### left

    public java.lang.String left

### bottom

    public java.lang.String bottom

### right

    public java.lang.String right

### topPos

    public int topPos

### leftPos

    public int leftPos

### bottomPos

    public int bottomPos

### rightPos

    public int rightPos

Constructor Detail

### DockableWindowManagerImpl.DockableWindowConfig

    public DockableWindowManagerImpl.DockableWindowConfig()

Method Detail

### getPerspectiveHandler

    public org.xml.sax.helpers.DefaultHandler getPerspectiveHandler()

### saveLayout

    public boolean saveLayout(java.lang.String baseName,
                              int viewIndex)

  Specified by:
    `saveLayout` in class `DockableWindowManager.DockingLayout`

### loadLayout

    public boolean loadLayout(java.lang.String baseName,
                              int viewIndex)

  Specified by:
    `loadLayout` in class `DockableWindowManager.DockingLayout`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `DockableWindowManager.DockingLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD